parser

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class parser

    java.lang.Object
      weka.core.parser.java_cup.runtime.lr_parser
          weka.core.parser.java_cup.parser

    public class parser

extends lr_parser

CUP v0.11a beta 20060608 generated parser.

Version:
  Wed May 07 11:31:09 NZST 2008

Field Summary

Fields inherited from class weka.core.parser.java_cup.runtime.lr_parser
`symbolFactory`

Constructor Summary
`parser()` Default constructor.
`parser(Scanner s)` Constructor which sets the default scanner.
`parser(Scanner s, SymbolFactory sf)` Constructor which sets the default scanner.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`Symbol` | `do_action(int act_num, lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`void` | `report_error(java.lang.String message, java.lang.Object info)` Report a non fatal error (or warning).
`void` | `report_fatal_error(java.lang.String message, java.lang.Object info)` Report a fatal error.
`Symbol` | `scan()` Scan to get the next Symbol.
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.
`void` | `user_init()` User initialization code.

Methods inherited from class weka.core.parser.java_cup.runtime.lr_parser
`debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, getScanner, getSymbolFactory, parse, setScanner, syntax_error, unrecovered_syntax_error`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### parser

    public parser()

  Default constructor.

### parser

    public parser(Scanner s)

  Constructor which sets the default scanner.

### parser

    public parser(Scanner s,
                  SymbolFactory sf)

  Constructor which sets the default scanner.

Method Detail

### production_table

    public short[][] production_table()

  Access to production table.

  Specified by:
    `production_table` in class `lr_parser`

### action_table

    public short[][] action_table()

  Access to parse-action table.

  Specified by:
    `action_table` in class `lr_parser`
  See Also:
    `java_cup.runtime.lr_parser#get_action`

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

  Specified by:
    `reduce_table` in class `lr_parser`
  See Also:
    `java_cup.runtime.lr_parser#get_reduce`

### do_action

    public Symbol do_action(int act_num,
                            lr_parser parser,
                            java.util.Stack stack,
                            int top)
                     throws java.lang.Exception

  Invoke a user supplied parse action.

  Specified by:
    `do_action` in class `lr_parser`
  Parameters:
    `act_num` - the internal index of the action to be performed.
    `parser` - the parser object we are acting for.
    `stack` - the parse stack of that object.
    `top` - the index of the top element of the parse stack.
  Throws:
    `java.lang.Exception`

### start_state

    public int start_state()

  Indicates start state.

  Specified by:
    `start_state` in class `lr_parser`

### start_production

    public int start_production()

  Indicates start production.

  Specified by:
    `start_production` in class `lr_parser`

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

  Specified by:
    `EOF_sym` in class `lr_parser`

### error_sym

    public int error_sym()

  `error` Symbol index.

  Specified by:
    `error_sym` in class `lr_parser`

### user_init

    public void user_init()
                   throws java.lang.Exception

  User initialization code.

  Overrides:
    `user_init` in class `lr_parser`
  Throws:
    `java.lang.Exception`

### scan

    public Symbol scan()
                throws java.lang.Exception

  Scan to get the next Symbol.

  Overrides:
    `scan` in class `lr_parser`
  Throws:
    `java.lang.Exception`

### report_fatal_error

    public void report_fatal_error(java.lang.String message,
                                   java.lang.Object info)

  Description copied from class: `lr_parser`
  Report a fatal error. This method takes a message string and an additional object (to be used by specializations implemented in subclasses). Here in the base class a very simple implementation is provided which reports the error then throws an exception.

  Overrides:
    `report_fatal_error` in class `lr_parser`
  Parameters:
    `message` - an error message.
    `info` - an extra object reserved for use by specialized subclasses.

### report_error

    public void report_error(java.lang.String message,
                             java.lang.Object info)

  Description copied from class: `lr_parser`
  Report a non fatal error (or warning). This method takes a message string and an additional object (to be used by specializations implemented in subclasses). Here in the base class a very simple implementation is provided which simply prints the message to System.err.

  Overrides:
    `report_error` in class `lr_parser`
  Parameters:
    `message` - an error message.
    `info` - an extra object reserved for use by specialized subclasses.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD